# This config will be applied to all hosts
{
  inputs,
  outputs,
  ...
}:
{
  imports = [
    inputs.home-manager.nixosModules.home-manager
    inputs.catppuccin.nixosModules.catppuccin

    ./locale.nix
    ./nh.nix
    ./openssh.nix
    ./secrets.nix
    ./sops.nix
  ];

  home-manager.useGlobalPkgs = true;
  home-manager.extraSpecialArgs = { inherit inputs outputs; };

  networking.nameservers = [
    "1.1.1.1"
    "1.0.0.1"
  ];

  virtualisation.docker.enable = true;
}
